<script setup>
const props = defineProps({
  value: String,
  type: String,
});
</script>

<template>
  <NuxtLink
    external
    v-if="type === 'url'"
    :href="value"
    target="_blank"
    rel="noopener"
  >
    {{ value }}
  </NuxtLink>
  <NuxtLink external v-else-if="type === 'email'" :href="`mailto:${value}`">
    {{ value }}
  </NuxtLink>
  <span v-else>{{ value }}</span>
</template>

<style scoped>
a {
  word-break: break-all;
}
</style>
